---
title: Change Log
---

# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases


### [2.6.24] - 2019-08-01
#### Changed
- Changed verbiage for `pages:dump` command.

#### Added
- Added `Turkish` translation thanks to [@fatihalp](https://github.com/anomalylabs/pages-module/pull/68). 


### [2.6.23] - 2019-08-01
#### Added
- Added `sitemap` callback to `\Anomaly\PagesModule\Page\PageRepository` for [Sitemap Extension](/documentation/sitemap-extension) support. 


### [2.6.22] - 2019-07-19
#### Added
- Added support for `php artisan refresh` command. 


### [2.6.21] - 2019-06-13
#### Fixed
- Fixed issue with versioning where page entry data was not loading properly. 


### [2.6.20] - 2019-05-08
#### Fixed
- Fixed issue with `findByPath` method on `PageInterface` to account for translatable 


### [2.6.19] - 2019-04-24
#### Fixed
- Fixed issue with `structure` plugin function returning pages not intended for navigation.


### [2.6.18] - 2019-04-16
#### Fixed
- Fixed formatting issue with `bootstrap4` automated navigation structure.


### [2.6.17] - 2019-04-09
#### Changed
- Forced setting `str_id` during `saving` to avoid conflicts with new clone feature.
- Moved 1-liner command for `str_id` logic inline to the observer method. 


### [2.6.16] - 2019-03-13
#### Added
- Added `pages:dump` CLI command.
- Added translatable page slugs.
- Added `publish_at` field and logic.

#### Fixed
- Fixed issues around `config:cache` like closures and re-generating cache on pages save.
- Fixed issues around `route:cache` like closures and re-generating routes on pages save.

#### Changed
- Changed `composer.json` to include proper support links.
- Changed `composer.json` to use `"anomaly/streams-platform": "^1.6"`.
- Changed the method in which pages module includes page routes.
- Changed the method in which routes are generated by extensions.
